> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create bulk send list

POST https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/bulk_send_lists
Content-Type: application/json

This method creates a bulk send list that you can use to send an envelope to up to 1,000 recipients at once.

### Related topics

- [How to bulk send envelopes](/docs/esign-rest-api/how-to/bulk-send-envelopes/)

### Errors

| Error code | Description |
| --- | --- |
| BULK_SEND_MAX_COPIES_EXCEEDED | A bulk sending list cannot specify more than XXX copies in the mailing list. Call the settings API endpoint to find the maximum number of copies in a batch allowed for your account. In almost all cases, the default limit is 1000. |
| BULK_SEND_RECIPIENT_IDS_MUST_BE_UNIQUE | No two recipientIds can be same within a bulkCopy. Same restriction as a regular envelope applies. Specify unique recipient IDs for each recipient within a bulkCopy (model for envelope in mailing list). |
| BULK_SEND_RECIPIENT_ID_REQUIRED | If no RoleName is present, recipientID is required in mailing list's bulkCopy. Add a roleName (that coalesces with template/envelope) or a recipientID. |
| BULK_SEND_RECIPIENT_NAME_REQUIRED | Recipient &#123;0&#125; has no name. Specify a name for the recipient. |
| BULK_SEND_EMAIL_ADDRESS_REQUIRED_FOR_EMAIL_RECIPIENT | Recipient &#123;0&#125; is an email recipient with no email address. Specify an email for the email recipient. |
| BULK_SEND_FAX_NUMBER_REQUIRED_FOR_FAX_RECIPIENT | Recipient &#123;0&#125; is a fax recipient with no fax number. Specify a fax number for the fax recipient. |
| BULK_SEND_FAX_NUMBER_NOT_VALID | Recipient &#123;0&#125; specifies fax number &#123;1&#125;, which is not valid. Specify a valid fax number for the fax recipient. |
| BULK_SEND_EMAIL_ADDRESS_NOT_VALID | Recipient &#123;0&#125; specifies email address &#123;1&#125;, which is not a valid email address. Specify a valid email address for the recipient. |
| BULK_SEND_PHONE_NUMBER_REQURED_FOR_SMS_AUTH | Recipient &#123;0&#125; specifies SMS auth, but no number was provided. Specify a phone number for the SMS auth recipient. |
| BULK_SEND_PHONE_NUMBER_INVALID_FOR_SMS_AUTH | Recipient &#123;0&#125; specifies phone number &#123;1&#125; for SMS auth, which is not valid. Specify a valid phone number for the SMS auth recipient. |
| BULK_SEND_ROLE_NAMES_MUST_BE_UNIQUE | Recipient role names cannot be duplicated; role &#123;duplicateRecipientRole&#125; appears multiple times. Use unique roleNames for recipients. |
| BULK_SEND_CANNOT_USE_BOTH_ROLE_AND_ID_ON_SAME_RECIPIENT | Recipients cannot have both ID and Role; &#123;0&#125; has both. Specify a roleName or recipientId, but not both for the same recipient. |
| BULK_SEND_CANNOT_USE_BOTH_ROLE_AND_ID_IN_SAME_LIST | Cannot use both recipient role and ID in the same list. Specify a roleName or recipientId, but not both in the same list. |
| BULK_SEND_INVALID_ID_CHECK_CONFIGURATION | Recipient &#123;0&#125; specified SMS authentication, but no SMS auth settings were provided. Provide an SMS auth setting (proper ID configuration) if SMS auth is specified. |
| BULK_SEND_INVALID_SBS_INPUT_CONFIGURATION | Recipient &#123;0&#125; has more than one signature provider specified. Or signingProviderName is not specified. Or Signature provider : &#123;0&#125; is either unknown or not an available pen for this account. One or more SBS configuration is missing or invalid. The error details provide specifics. |
| BULK_SEND_TAB_LABELS_MUST_BE_UNIQUE | Tab label &#123;0&#125; is duplicated. Needs to be unique. Use a unique tab label. |
| BULK_SEND_TAB_LABEL_REQUIRED | Tab label is required. Specify a tab label. |
| BULK_SEND_TAB_VALUE_REQUIRED | Tab Label value is required. Specify a value for the tab label. |
| BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_MUST_BE_UNIQUE | Custom fields must have distinct names. The field &#123;0&#125; appears more than once in a copy. Use unique names for custom fields. |
| BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_REQUIRED | All custom fields must have names. Specify a name for the custom field. |
| BULK_SEND_ENVELOPE_CUSTOM_FIELD_VALUE_REQUIRED | Custom field &#123;0&#125; has no value. A custom field can have an empty value, but it cannot have a null value. Specify a value for the custom field. |
| BULK_SEND_ENVELOPE_PREFILL_TAB_NAME_MUST_BE_UNIQUE | Prefill tabs must have distinct names. The field &#123;0&#125; appears more than once in a copy. |
| BULK_SEND_ENVELOPE_PREFILL_TAB_NAME_REQUIRED | All prefill tabs must have names. |
| BULK_SEND_ENVELOPE_PREFILL_TAB_VALUE_REQUIRED | Prefill tab &#123;0&#125; has no value. A prefill tab can have an empty value, but it cannot have a null value. |
| BULK_SEND_ENVELOPE_HAS_NO_ENVELOPE_PREFILL_TABS | Bulk sending list contains prefill tabs, but the specified envelope does not. |
| BULK_SEND_ENVELOPE_PREFILL_TAB_DOES_NOT_EXIST_IN_ENVELOPE | PrefillTab &#123;0&#125; does not exist in the envelope. |
| BULK_SEND_ENVELOPE_PREFILL_TAB_NAME_DOES_NOT_MATCH | PrefillTab names must match. &#123;0&#125; and &#123;1&#125; do not match. |

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/bulkenvelopes/bulksend/createbulksendlist

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The ID of the account.

### Body (application/json)

This endpoint expects a bulkSendingList.

- `bulkCopies` (list of bulkSendingCopy, optional) — An array of `bulkCopy` objects. Each object represents an instance or copy of an envelope and contains details such as the recipient, custom fields, tabs, and other information.
- `listId` (string, optional) — The GUID of the bulk send list.
- `name` (string, optional) — The name of the bulk send list.

## Response

### 201

Successful response.

- `bulkCopies` (list of bulkSendingCopy, optional) — An array of `bulkCopy` objects. Each object represents an instance or copy of an envelope and contains details such as the recipient, custom fields, tabs, and other information.
- `listId` (string, optional) — The GUID of the bulk send list.
- `name` (string, optional) — The name of the bulk send list.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### bulkSendingCopy

This object contains the details to use for a specific copy, or instance, of the envelope. When you send an envelope by using a bulk send list, you can customize these properties for each instance.

- `customFields` (list of bulkSendingCopyCustomField, optional) — The custom fields for this copy of the envelope. **Note:** These custom fields must also be included in the original envelope or template that you want to send.
- `docGenFormFields` (list of bulksendingCopyDocGenFormField, optional)
- `emailBlurb` (string, optional) — The email body for this copy of the envelope.
- `emailSubject` (string, optional) — The email subject line for this copy of the envelope. For information about adding merge field information to the email subject, see [Template Email Subject Merge Fields](/docs/esign-rest-api/reference/templates/templates/create/). **Note:** The subject line is limited to 100 characters, including any merged fields.It is not truncated. It is an error if the text is longer than 100 characters.
- `prefillTabs` (list of bulkSendingCopyPrefillTab, optional) — Specifies a collection of prefill tabs to apply to each copy in a bulk send operation. Use this property to set envelope-level values for prefill tabs. Currently, only text tabs are supported; radio and list tabs are not supported. The `tabLabel` value must exactly match a prefill tab label on the envelope or template. A prefill tab can have an empty string value, but its `initialValue` cannot be null. If you do not need prefill tabs, omit this property or set it to an empty array; do not set it to null. Validate `initialValue` against the expected format for the tab. Validation occurs during envelope creation and can cause envelope generation to fail. Recipients can typically modify prefilled values unless the corresponding tab is read-only on the master or draft envelope. This property applies to every copy in the bulk send batch.
- `recipients` (list of bulkSendingCopyRecipient, optional) — Information about the recipients associated with this copy of the envelope.

### bulkSendingCopyCustomField

This object contains details about a custom field for a bulk send copy. In a bulk send request, each custom field in the bulk send list must match a custom field in the envelope or template that you want to send.

- `name` (string, optional) — The name of the custom field.
- `value` (string, optional) — The value of the custom field.

### bulksendingCopyDocGenFormField

- `name` (string, optional)
- `rowValues` (list of bulkSendingCopyDocGenFormFieldRowValue, optional)
- `value` (string, optional) — Specifies the value of the tab.

### bulkSendingCopyPrefillTab

- `initialValue` (string, optional) — The original value of the tab.
- `tabLabel` (string, optional) — The label string associated with the tab.

### bulkSendingCopyRecipient

This object contains details about a bulk send recipient.

- `accessCode` (string, optional) — If a value is provided, the recipient must enter the value as the access code to view and sign the envelope. Maximum Length: 50 characters and it must conform to the account's access code format setting. If blank, but the signer `accessCode` property is set in the envelope, then that value is used. If blank and the signer `accessCode` property is not set, then the access code is not required.
- `clientUserId` (string, optional) — Specifies whether the recipient is embedded or remote. If the `clientUserId` property is not null then the recipient is embedded. Use this field to associate the signer with their userId in your app. Authenticating the user is the responsibility of your app when you use embedded signing. If the `clientUserId` property is set and either `SignerMustHaveAccount` or `SignerMustLoginToSign` property of the account settings is set to **true,** an error is generated on sending. **Note:** This property is not returned by the [listStatusChanges](/docs/esign-rest-api/reference/envelopes/envelopes/liststatuschanges/) endpoint. Maximum length: 100 characters.
- `customFields` (list of string, optional) — An optional array of strings that allows the sender to provide custom data about the recipient. This information is returned in the envelope status but otherwise not used by DocuSign. Each customField string can be a maximum of 100 characters.
- `deliveryMethod` (string, optional) — The delivery method. One of: - `email` - `fax` - `SMS` - `WhatsApp` - `offline` The `SMS` and `WhatsApp` delivery methods are limited to `signer`, `carbonCopy`, and `certifiedDelivery` recipients. **Related topics** - [Using SMS delivery with the eSignature API](/docs/esign-rest-api/esign101/concepts/sms-delivery/using-sms-esignature/) - [How to request a signature by SMS or WhatsApp delivery](/docs/esign-rest-api/how-to/request-signature-sms-whatsapp/)
- `email` (string, optional) — The recipient's email address.
- `emailNotification` (recipientEmailNotification, optional) — Sets custom email subject and email body for individual recipients. **Note:** You must explicitly set `supportedLanguage` if you use this feature.
- `embeddedRecipientStartURL` (string, optional) — Specifies a sender-provided valid URL string for redirecting an embedded recipient. When using this option, the embedded recipient still receives an email from Docusign, just as a remote recipient would. When the document link in the email is clicked the recipient is redirected, through Docusign, to the supplied URL to complete their actions. When routing to the URL, the sender's system (the server responding to the URL) must request a recipient token to launch a signing session. When `SIGN_AT_DOCUSIGN`, the recipient is directed to an embedded signing or viewing process directly at Docusign. The signing or viewing action is initiated by the Docusign system and the transaction activity and Certificate of Completion records will reflect this. In all other ways the process is identical to an embedded signing or viewing operation launched by a partner. It is important to understand that in a typical embedded workflow, the authentication of an embedded recipient is the responsibility of the sending application. Docusign expects that senders will follow their own processes for establishing the recipient's identity. In this workflow the recipient goes through the sending application before the embedded signing or viewing process is initiated. However, when the sending application sets `EmbeddedRecipientStartURL=SIGN_AT_DOCUSIGN`, the recipient goes directly to the embedded signing or viewing process, bypassing the sending application and any authentication steps the sending application would use. In this case, Docusign recommends that you use one of the normal Docusign authentication features (Access Code, Phone Authentication, SMS Authentication, etc.) to verify the identity of the recipient. If the `clientUserId` property is NOT set, and the `embeddedRecipientStartURL` is set, Docusign will ignore the redirect URL and launch the standard signing process for the email recipient. Information can be appended to the embedded recipient start URL using merge fields. The available merge fields items are: `envelopeId`, `recipientId`, `recipientName`, `recipientEmail`, and `customFields`. The `customFields` property must be set for the recipient or envelope. The merge fields are enclosed in double brackets. _Example_: `http://senderHost/[[mergeField1]]/ beginSigningSession? [[mergeField2]]&[[mergeField3]]`
- `faxNumber` (string, optional) — Reserved for Docusign.
- `hostEmail` (string, optional) — The email address of the signing host. This is the Docusign user that is hosting the in-person signing session. Required when `inPersonSigningType` is `inPersonSigner`. For eNotary flow, use `email` instead. Maximum Length: 100 characters.
- `hostName` (string, optional) — The name of the signing host. This is the Docusign user that is hosting the in-person signing session. Required when `inPersonSigningType` is `inPersonSigner`. For eNotary flow, use `name` instead. Maximum Length: 100 characters.
- `idCheckConfigurationName` (string, optional) — The name of the authentication check to use. This value must match one of the authentication types that the account uses. The names of these authentication types appear in the web console sending interface in the Identify list for a recipient. This setting overrides any default authentication setting. Valid values are: - `Phone Auth $`: The recipient must authenticate by using two-factor authentication (2FA). You provide the phone number to use for 2FA in the `phoneAuthentication` object. - `SMS Auth $`: The recipient must authenticate via SMS. You provide the phone number to use in the `smsAuthentication` object. - `ID Check $`: The recipient must answer detailed security questions. **Example:** Your account has ID Check and SMS Authentication available. In the web console Identify list, these appear as ID Check $ and SMS Auth $. To use ID Check in an envelope, the idCheckConfigurationName should be ID Check $. For SMS, you would use SMS Auth $, and you would also need to add a phone number to the smsAuthentication node.
- `idCheckInformationInput` (idCheckInformationInput, optional) — A complex element that contains input information related to a recipient ID check.
- `identificationMethod` (string, optional)
- `identityVerification` (recipientIdentityVerification, optional) — Specifies ID Verification applied on an envelope by workflow ID. See the [list](/docs/esign-rest-api/reference/accounts/identityverifications/list/) method in the [IdentityVerifications](/docs/esign-rest-api/reference/accounts/identityverifications/) resource for more information on how to retrieve workflow IDs available for an account. This can be used in addition to other [recipient authentication](https://support.docusign.com/en/guides/ndse-user-guide-recipient-authentication) methods.
- `name` (string, optional)
- `note` (string, optional) — A note sent to the recipient in the signing email. This note is unique to this recipient. In the user interface, it appears near the upper left corner of the document on the signing screen. Maximum Length: 1000 characters.
- `phoneAuthentication` (recipientPhoneAuthentication, optional) — A complex type that contains the elements: - `recipMayProvideNumber`: A Boolean value that specifies whether the recipient can use the phone number of their choice. - `senderProvidedNumbers`: A list of phone numbers that the recipient can use. - `recordVoicePrint`: Reserved for Docusign. - `validateRecipProvidedNumber`: Reserved for Docusign.
- `recipientId` (string, optional) — A local reference used to map recipients to other objects, such as specific document tabs. A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope. For example, many envelopes assign the first recipient a `recipientId` of `1`.
- `recipientSignatureProviders` (list of recipientSignatureProvider, optional) — The default signature provider is the Docusign Electronic signature system. This parameter is used to specify one or more Standards Based Signature (digital signature) providers for the signer to use. [More information.](/docs/esign-rest-api/esign101/concepts/standards-based-signatures/)
- `roleName` (string, optional) — The name of the role associated with the recipient. **Note:** Every recipient must be assigned either a `recipientId` or a `roleName` but not both. You cannot use `roleName` and `recipientId` in the same list.
- `signerName` (string, optional) — The in-person signer's full legal name. Required when `inPersonSigningType` is `inPersonSigner`. For eNotary flow, use `name` instead. Maximum Length: 100 characters.
- `signingGroupId` (string, optional) — The ID of the [signing group](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=zgn1578456447934.html).
- `smsAuthentication` (recipientSMSAuthentication, optional) — Contains the element senderProvidedNumbers which is an Array of phone numbers the recipient can use for SMS text authentication.
- `socialAuthentications` (list of socialAuthentication, optional) — Deprecated.
- `tabs` (list of bulkSendingCopyTab, optional) — A list of tabs associated with the recipient. In a bulk send request, each of these recipient tabs must match a recipient tab on the envelope or template that you want to send. To match up, the `tabLabel` for this tab and the `tabLabel` for the corresponding tab on the envelope or template must be the same. For example, if the envelope has a placeholder text tab with the `tabLabel` `childName`, you must assign the same `tabLabel` `childName` to the tab here that you are populating with that information. You can use the following types of tabs to match bulk send recipients to an envelope: - Text tabs - Radio group tabs (where the name of the `radioGroup` on the envelope is used as the `tabLabel` in the bulk send list) - List tabs

### bulkSendingCopyDocGenFormFieldRowValue

- `docGenFormFieldList` (list of bulksendingCopyDocGenFormField, optional)

### recipientEmailNotification

Sets custom email subject and email body for individual recipients. **Note:** You must explicitly set `supportedLanguage` if you use this feature.

- `emailBody` (string, optional) — The body of the email message.
- `emailBodyMetadata` (propertyMetadata, optional) — Metadata about a property.
- `emailSubject` (string, optional) — The subject line for the email notification.
- `emailSubjectMetadata` (propertyMetadata, optional) — Metadata about a property.
- `supportedLanguage` (string, optional) — The language to use for the standard email format and signing view for a recipient. For example, this setting determines the language of the recipient's email notification message. It also determines the language used for buttons and tabs in both the email notification and the signing experience. **Note:** This setting affects only Docusign standard text. Any custom text that you enter for the `emailBody` and `emailSubject` of the notification is not translated, and appears exactly as you enter it. To retrieve the possible values, use the [Accounts::listSupportedLanguages](/docs/esign-rest-api/reference/accounts/accounts/listsupportedlanguages/) method.
- `supportedLanguageMetadata` (propertyMetadata, optional) — Metadata about a property.

### idCheckInformationInput

A complex element that contains input information related to a recipient ID check.

- `addressInformationInput` (addressInformationInput, optional) — Contains address input information.
- `dobInformationInput` (dobInformationInput, optional) — Complex type containing: * dateOfBirth * displayLevelCode * receiveInResponse
- `ssn4InformationInput` (ssn4InformationInput, optional)
- `ssn9InformationInput` (ssn9InformationInput, optional)

### recipientIdentityVerification

Specifies ID Verification applied on an envelope by workflow ID. See the [list](/docs/esign-rest-api/reference/accounts/identityverifications/list/) method in the [IdentityVerifications](/docs/esign-rest-api/reference/accounts/identityverifications/) resource for more information on how to retrieve workflow IDs available for an account. This can be used in addition to other [recipient authentication](https://support.docusign.com/en/guides/ndse-user-guide-recipient-authentication) methods.

- `hasAutoAttachedRiskAssessment` (string, optional)
- `inputOptions` (list of recipientIdentityInputOption, optional)
- `workflowId` (string, optional) — ID of the Identity Verification worklow used to verify recipients' identity. This ID must match one of the [workflowId](/docs/esign-rest-api/reference/accounts/identityverifications/list/) available to your account.
- `workflowIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `workflowLabel` (string, optional)

### recipientPhoneAuthentication

A complex type that contains the elements: - `recipMayProvideNumber`: A Boolean value that specifies whether the recipient can use the phone number of their choice. - `senderProvidedNumbers`: A list of phone numbers that the recipient can use. - `recordVoicePrint`: Reserved for Docusign. - `validateRecipProvidedNumber`: Reserved for Docusign.

- `recipMayProvideNumber` (string, optional) — Boolean. When **true,** the recipient can supply a phone number their choice.
- `recipMayProvideNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `recordVoicePrint` (string, optional) — Reserved for Docusign.
- `recordVoicePrintMetadata` (propertyMetadata, optional) — Metadata about a property.
- `senderProvidedNumbers` (list of string, optional) — An array containing a list of phone numbers that the recipient can use for SMS text authentication.
- `senderProvidedNumbersMetadata` (propertyMetadata, optional) — Metadata about a property.
- `validateRecipProvidedNumber` (string, optional) — Reserved for Docusign.
- `validateRecipProvidedNumberMetadata` (propertyMetadata, optional) — Metadata about a property.

### recipientSignatureProvider

An Electronic or Standards Based Signature (digital signature) provider for the signer to use. [More information](/docs/esign-rest-api/esign101/concepts/standards-based-signatures/).

- `sealDocumentsWithTabsOnly` (string, optional) — By default, electronic seals apply on all documents in an envelope. If any of the documents has a `signHere` tab, then a visual representation of the electronic seal will show up in the final document. If not, the electronic seal will be visible in the metadata but not in the content of the document. To apply electronic seals on specific documents only, you must enable the `sealDocumentsWithTabsOnly` parameter. In this case, Electronic Seal applies only on documents that have `signHere` tabs set for the Electronic Seal recipient. Other documents won't be sealed. If using the [Notary On-Demand](/docs/notary-api/notary101/notary-on-demand/) feature, set this value to `false` for the notary recipient, and set it to `false` or omit it for the signer recipient.
- `sealName` (string, optional) — Indicates the name of the electronic seal to apply on documents.
- `signatureProviderName` (string, optional) — The name of an Electronic or Standards Based Signature (digital signature) provider for the signer to use. For details, see [the current provider list](/docs/esign-rest-api/esign101/concepts/standards-based-signatures/). You can also retrieve the list by using the [AccountSignatureProviders: List](/docs/esign-rest-api/reference/accounts/accountsignatureproviders/list/) method. Example: `universalsignaturepen_default` If using the [Notary On-Demand](/docs/notary-api/notary101/notary-on-demand/) feature, set this value to `ds_authority_idv` for the notary recipient, and set it to `universalsignaturepen_imageonly` or omit it for the signer recipient.
- `signatureProviderNameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `signatureProviderOptions` (recipientSignatureProviderOptions, optional) — Option settings for the signature provider. Different providers require or use different options. [The current provider list and the options they require.](/docs/esign-rest-api/esign101/concepts/standards-based-signatures/)

### recipientSMSAuthentication

Contains the element senderProvidedNumbers which is an Array of phone numbers the recipient can use for SMS text authentication.

- `senderProvidedNumbers` (list of string, optional) — An array containing a list of phone numbers that the recipient can use for SMS text authentication.
- `senderProvidedNumbersMetadata` (propertyMetadata, optional) — Metadata about a property.

### socialAuthentication

- `authentication` (string, optional) — Reserved for Docusign.

### bulkSendingCopyTab

A tab associated with the bulk send recipient. In a bulk send request, each recipient tab must match a recipient tab on the envelope or template that you want to send. To match up, the `tabLabel` for this tab and the `tabLabel` for the corresponding tab on the envelope or template must be the same. For example, if the envelope has a placeholder text tab with the `tabLabel` `childName`, you must assign the same `tabLabel` `childName` to the tab here that you are populating with that information.

- `initialValue` (string, optional) — The initial value that you want to assign to the tab.
- `tabLabel` (string, optional) — The label associated with the recipient tab. In a bulk send request, the `tabLabel` for this tab and the `tabLabel` for the corresponding tab on the envelope or template must be the same. Maximum Length: 500 characters.

### propertyMetadata

Metadata about a property.

- `options` (list of string, optional) — An array of option strings supported by this setting.
- `rights` (string, optional) — Indicates whether the property is editable. Valid values are: - `editable` - `read_only`

### addressInformationInput

Contains address input information.

- `addressInformation` (addressInformation, optional) — Contains address information.
- `displayLevelCode` (string, optional) — Specifies the display level for the recipient. Valid values are: * ReadOnly * Editable * DoNotDisplay
- `receiveInResponse` (string, optional) — A Boolean value that specifies whether the information must be returned in the response.

### dobInformationInput

Complex type containing: * dateOfBirth * displayLevelCode * receiveInResponse

- `dateOfBirth` (string, optional) — Specifies the recipient's date, month, and year of birth.
- `displayLevelCode` (string, optional) — Specifies the display level for the recipient. Valid values are: * ReadOnly * Editable * DoNotDisplay
- `receiveInResponse` (string, optional) — A Boolean value that specifies whether the information must be returned in the response.

### ssn4InformationInput

- `displayLevelCode` (string, optional) — Specifies the display level for the recipient. Valid values are: * ReadOnly * Editable * DoNotDisplay
- `receiveInResponse` (string, optional) — A Boolean value that specifies whether the information must be returned in the response.
- `ssn4` (string, optional) — The last four digits of the recipient's Social Security Number (SSN).

### ssn9InformationInput

- `displayLevelCode` (string, optional) — Specifies the display level for the recipient. Valid values are: * ReadOnly * Editable * DoNotDisplay
- `ssn9` (string, optional) — The recipient's full Social Security Number (SSN).

### recipientIdentityInputOption

- `name` (string, optional)
- `phoneNumberList` (list of recipientIdentityPhoneNumber, optional)
- `stringValue` (string, optional)
- `valueType` (string, optional)

### recipientSignatureProviderOptions

Option settings for the signature provider. Different providers require or use different options. [The current provider list and the options they require.](/docs/esign-rest-api/esign101/concepts/standards-based-signatures/)

- `cpfNumber` (string, optional) — Reserved for Docusign.
- `cpfNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `oneTimePassword` (string, optional) — A pre-shared secret that the signer must enter to complete the signing process. Eg last six digits of the signer's government ID or Social Security number. Or a newly created pre-shared secret for the transaction. Note: some signature providers may require an exact (case-sensitive) match if alphabetic characters are included in the field.
- `oneTimePasswordMetadata` (propertyMetadata, optional) — Metadata about a property.
- `signerRole` (string, optional) — The role or capacity of the signing recipient. Examples: Manager, Approver, etc.
- `signerRoleMetadata` (propertyMetadata, optional) — Metadata about a property.
- `sms` (string, optional) — The mobile phone number used to send the recipient an access code for the signing ceremony. Format: a string starting with +, then the country code followed by the full mobile phone number without any spaces or special characters. Omit leading zeroes before a city code. Examples: +14155551234, +97235551234, +33505551234.
- `smsMetadata` (propertyMetadata, optional) — Metadata about a property.

### addressInformation

Contains address information.

- `address1` (string, optional) — The first line of the user's address. Maximum length: 100 characters.
- `address2` (string, optional) — The second line of the user's address. Maximum length: 100 characters.
- `city` (string, optional) — The user's city. Maximum length: 40 characters.
- `country` (string, optional) — The user's country. Maximum length: 50 characters.
- `fax` (string, optional) — A Fax number associated with the address if one is available.
- `phone` (string, optional) — A phone number associated with the address.
- `postalCode` (string, optional) — The user's postal code. Maximum length: 20 characters.
- `stateOrProvince` (string, optional) — The user's state or province. Maximum length: 40 characters.
- `zipPlus4` (string, optional)

### recipientIdentityPhoneNumber

- `countryCode` (string, optional) — The numeric country calling code for the phone number. For example, the country calling code for the US and Canada is 1. For the UK, the country calling code is 44. Do not include the + symbol.
- `countryCodeLock` (string, optional)
- `countryCodeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `extension` (string, optional) — The telephone extension, if any.
- `extensionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `number` (string, optional) — The telephone number. Use only the digits `0`-`9`. Remove any non-numeric characters. Do not include the `countryCode`. For US, Canada, and other [North American Numbering Plan](https://en.wikipedia.org/wiki/North_American_Numbering_Plan) countries, do not include a leading `1` or `0`.
- `numberMetadata` (propertyMetadata, optional) — Metadata about a property.

## Examples

**Request**

```json
{
  "bulkCopies": [
    {
      "customFields": [
        {
          "name": "sample string 1",
          "value": "sample string 2"
        }
      ],
      "docGenFormFields": [
        {
          "name": "sample string 1",
          "rowValues": [
            {
              "docGenFormFieldList": [
                {}
              ]
            }
          ],
          "value": "sample string 2"
        }
      ],
      "emailBlurb": "sample string 1",
      "emailSubject": "sample string 2",
      "prefillTabs": [
        {
          "initialValue": "sample string 1",
          "tabLabel": "sample string 2"
        }
      ],
      "recipients": [
        {
          "accessCode": "sample string 1",
          "clientUserId": "sample string 2",
          "customFields": [
            "sample string 1"
          ],
          "deliveryMethod": "sample string 3",
          "email": "sample string 4",
          "emailNotification": {
            "emailBody": "sample string 1",
            "emailSubject": "sample string 2",
            "supportedLanguage": "sample string 3"
          },
          "embeddedRecipientStartURL": "sample string 5",
          "faxNumber": "sample string 6",
          "hostEmail": "sample string 7",
          "hostName": "sample string 8",
          "idCheckConfigurationName": "sample string 9",
          "identificationMethod": "sample string 10",
          "identityVerification": {
            "hasAutoAttachedRiskAssessment": "sample string 1",
            "inputOptions": [
              {}
            ],
            "workflowId": "sample string 2",
            "workflowLabel": "sample string 3"
          },
          "name": "sample string 11",
          "note": "sample string 12",
          "phoneAuthentication": {
            "recipMayProvideNumber": "sample string 1",
            "recordVoicePrint": "sample string 2",
            "senderProvidedNumbers": [
              "sample string 1"
            ],
            "validateRecipProvidedNumber": "sample string 3"
          },
          "recipientId": "sample string 13",
          "recipientSignatureProviders": [
            {
              "sealDocumentsWithTabsOnly": "sample string 1",
              "sealName": "sample string 2",
              "signatureProviderName": "sample string 3"
            }
          ],
          "roleName": "sample string 14",
          "signerName": "sample string 15",
          "signingGroupId": "sample string 16",
          "smsAuthentication": {
            "senderProvidedNumbers": [
              "sample string 1"
            ]
          },
          "socialAuthentications": [
            {
              "authentication": "sample string 1"
            }
          ],
          "tabs": [
            {
              "initialValue": "sample string 1",
              "tabLabel": "sample string 2"
            }
          ]
        }
      ]
    }
  ],
  "listId": "sample string 1",
  "name": "sample string 2"
}
```

**Response**

```json
{
  "bulkCopies": [
    {
      "customFields": [
        {
          "name": "sample string 1",
          "value": "sample string 2"
        }
      ],
      "docGenFormFields": [
        {
          "name": "sample string 1",
          "rowValues": [
            {
              "docGenFormFieldList": [
                {}
              ]
            }
          ],
          "value": "sample string 2"
        }
      ],
      "emailBlurb": "sample string 1",
      "emailSubject": "sample string 2",
      "prefillTabs": [
        {
          "initialValue": "sample string 1",
          "tabLabel": "sample string 2"
        }
      ],
      "recipients": [
        {
          "accessCode": "sample string 1",
          "clientUserId": "sample string 2",
          "customFields": [
            "sample string 1"
          ],
          "deliveryMethod": "sample string 3",
          "email": "sample string 4",
          "emailNotification": {
            "emailBody": "sample string 1",
            "emailSubject": "sample string 2",
            "supportedLanguage": "sample string 3"
          },
          "embeddedRecipientStartURL": "sample string 5",
          "faxNumber": "sample string 6",
          "hostEmail": "sample string 7",
          "hostName": "sample string 8",
          "idCheckConfigurationName": "sample string 9",
          "identificationMethod": "sample string 10",
          "identityVerification": {
            "hasAutoAttachedRiskAssessment": "sample string 1",
            "inputOptions": [
              {}
            ],
            "workflowId": "sample string 2",
            "workflowLabel": "sample string 3"
          },
          "name": "sample string 11",
          "note": "sample string 12",
          "phoneAuthentication": {
            "recipMayProvideNumber": "sample string 1",
            "recordVoicePrint": "sample string 2",
            "senderProvidedNumbers": [
              "sample string 1"
            ],
            "validateRecipProvidedNumber": "sample string 3"
          },
          "recipientId": "sample string 13",
          "recipientSignatureProviders": [
            {
              "sealDocumentsWithTabsOnly": "sample string 1",
              "sealName": "sample string 2",
              "signatureProviderName": "sample string 3"
            }
          ],
          "roleName": "sample string 14",
          "signerName": "sample string 15",
          "signingGroupId": "sample string 16",
          "smsAuthentication": {
            "senderProvidedNumbers": [
              "sample string 1"
            ]
          },
          "socialAuthentications": [
            {
              "authentication": "sample string 1"
            }
          ],
          "tabs": [
            {
              "initialValue": "sample string 1",
              "tabLabel": "sample string 2"
            }
          ]
        }
      ]
    }
  ],
  "listId": "sample string 1",
  "name": "sample string 2"
}
```